/*
 * collect_Conversion.h
 *
 *  Created on: 2024621
 *      Author: psx
 */

#ifndef APP_INC_COLLECT_CONVERSION_H_
#define APP_INC_COLLECT_CONVERSION_H_

#include "debug.h"
#include "adc.h"
#include "ring_queue2.h"
#include "math.h"

#define adcBuffSize 100
typedef struct _ADC_DATA{
    RingQueue2 RQCHG_CURR;
    RingQueue2 RQDSG_CURR;
    int32_t total_CHG_CURR;     /* adc֮ */
    int32_t total_DSG_CURR;     /* ŵadc֮ */
}ADC_DATA;
extern ADC_DATA g_adcData;

typedef struct _ADC_DATA1{
    float_t x1;
    float_t x2;
    float_t x3;
    float_t x4;
}ADC_DATA1;
extern ADC_DATA1 g_chargCData;
extern ADC_DATA1 g_disChargCData;
float_t filter3(ADC_DATA1 *ADC_DATA, uint8_t ADC_Channel);

void currBuffInit(void);
void adcChangeProportionalInit(void);

float get_CHG_CURR(void);
float get_PV_VOLT_OUT(void);
float get_DSG_CURR(void);
float get_PV1_VOLT_IN(void);
float get_PV_VOLT_IN1(void);
float get_MOSFET_Temper(void);
//float get_PV2_VOLT_IN(void);

#endif /* APP_INC_COLLECT_CONVERSION_H_ */
